/**
  Clase ClienteTcp_v3 
  @author Rodrigo Vizcarra Acevedo
  Esta aplicacion no se concta directamente al servidor sino que lee un archivo txt, el que es 
  generado por una por un programa java que se conecta a un microcontrolador generando un txt en 
  base a dos echos: el primero es otro archivo txt que contiene los datos de personas y el segundo 
  echo es los datos enviados por el servidor que en este caso es una tarjeta de desarrollo que tiene 
  un microcontrolador y controladora de red.
 */ 



import javax.swing.*;
import java.awt.*;
import java.awt.geom.*;
import java.awt.event.*;  
import java.util.*;
import java.applet.*;
import java.io.*;
import java.net.*;
import java.text.*;



public class ClienteTcp_v3 extends JFrame
{   
	  public JPanel buttonPanel, textPanel;
	  public JMenuBar menus;
	  public JButton conectar, terminar;
	  public JMenu archivo;
	  public JMenuItem nue;
     public TextField msg;
	  public JTextArea texto2;
	  public JPanel RecWin;
	  public static String s2 = "";
	  
	  /** 
  		Constructor. ClienteTcp_v3  
  		*/  
 
	  
	  public ClienteTcp_v3()
     {
            super("Rodrigo Vizcarra");
            buttonPanel = new JPanel();
				menus = new JMenuBar();
				textPanel = new JPanel();
				
				nue = new JMenuItem("Limpiar Pantalla", new ImageIcon("images/hoja_6.gif"));
				
				
				
				JTextField quote = new JTextField(100);
            buttonPanel.setLayout(new GridLayout (1, 3));
				textPanel.setLayout(new GridLayout (1, 3));
				
				
            conectar = new JButton("Recopilar Informacion");
   		   
				texto2 = new JTextArea("Para obtener la informacion primero debes presionar \nRecopilar informacion ");
												        
            ButtonHandler bhandler = new ButtonHandler();
            conectar.addActionListener(bhandler);
            
				nue.addActionListener(bhandler);
				
			   buttonPanel.add(conectar);
    
				menus.add(nue);
				
				textPanel.add(texto2);
				
				msg = new TextField("Estado");
            msg.setEditable(false);		
				buttonPanel.add(msg);	
				
				Container c = getContentPane();
            c.add(buttonPanel, BorderLayout.SOUTH);
								
				Container d = getContentPane();
				d.add(textPanel, BorderLayout.CENTER);
				
				Container e = getContentPane();
				e.add(menus, BorderLayout.NORTH);
																
            setSize(800, 350);
            show();
     }

     public static void main(String [] args)
	  throws IOException
     {
            ClienteTcp_v3 win = new ClienteTcp_v3();
				lectura();
		       win.addWindowListener(
                new WindowAdapter()
                {
                    public void windowClosing(WindowEvent e)
                    { System.exit(0); }
                }
            );
     }
						/**Este metodo se encarga de leer el txt generado por el otro programa java
						*/		
						public static void lectura() throws IOException
													{ 
													BufferedReader in = new BufferedReader( 
                             				new FileReader("reco.txt"));
													String s = new String();
													int i = 0;
													while ((s = in.readLine()) != null){
													s2 += s + '\n';
													}//fin while
													System.out.println(s2);
													in.close();
													}
						
					//prueba fin
					
					/** Clase que se encarga de estar atento a un eventual presionada de algun boton 
					*/
		     		private class ButtonHandler implements ActionListener 
     					{
            			public void actionPerformed(ActionEvent e)
							{
                 			if (e.getSource() == conectar)
                 					{
                       			String prueba = "Nombre\t\t\t\tFecha";//por ahora no tiene fecha
							  			msg.setText("Listo");
							  			texto2.setText(prueba);
										System.out.println(s2);
										texto2.setText(prueba + "\n" + s2 + "\n");					  	
					               }
                 			
								
					  //menu
					  			else if (e.getSource() == nue)
                 				{
         				  		String limpiar = " ";
				   		  		int value = JOptionPane.showConfirmDialog(null,"Esta seguro de borra la pantalla", "Advertencia",JOptionPane.YES_NO_OPTION);             
							  		if(value == 0){
							  		msg.setText("Pantalla Borrada");
							  		texto2.setText(limpiar);
							  		}
							  else{}
					  	}


					  //fin menu

					 
            }
     		}
		
		
	  }
	